<?php
session_start();
include_once '../conexao/index.php';
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");

/*Variaveis do Sistema*/
/*********************************************/
$_SESSION['idUsuario'] = $_SESSION['idUsuario'];
$_SESSION['nomeUsuario'] = $_SESSION['nomeUsuario'];
$_SESSION['categoriaUsuario'] = $_SESSION['categoriaUsuario']; 

$userID = $_SESSION['idUsuario'];
$userNOME = $_SESSION['nomeUsuario'];
$userCATE = $_SESSION['categoriaUsuario'];
/*********************************************/

$forneca = $_POST['forneca'];
$modo = $_POST['modo'];
$prazo = $_POST['prazo'];
$valor = $_POST['valor'];

$sql = "SELECT MAX(ano_fiscal) as serie FROM serie_factura";
$rs = mysqli_query($db, $sql) or die(mysqli_error($db));
if (mysqli_num_rows($rs) > 0) {
	$dados = mysqli_fetch_array($rs);
	$serie = $dados['serie'];
}

$sql3 = "INSERT INTO ordem_compra(`descricao`, `valor`, `fornecedor`, `prazo`, `modo`, `serie`, `user`) VALUES('$data_hora', '$valor', '$forneca', '$prazo', '$modo', '$serie', '$userID')";
$rs3 = mysqli_query($db, $sql3) or die(mysqli_error($db));
if ($rs3 > 0) {
	$sql5 = "SELECT MAX(id) as id FROM ordem_compra WHERE user = '$userID' AND fornecedor = '$forneca'";
	$rs5 = mysqli_query($db, $sql5) or die(mysqli_error($db));
	if (mysqli_num_rows($rs5) > 0) {
		$dados5 = mysqli_fetch_array($rs5);
		$id_ordem = $dados5['id'];
	}

	$sql10 = "UPDATE `fornecedor` SET `ordem_compra` = ordem_compra + 1 WHERE `id` = '$forneca'";
	$rs10 = mysqli_query($db, $sql10) or die(mysqli_error($db));

	$sql4 = "SELECT * FROM ordem_compra_artigos_temp WHERE user = '$userID'";
	$rs4 = mysqli_query($db, $sql4) or die(mysqli_error($db));
	while ($dados4 = mysqli_fetch_array($rs4)) {
		$artigo = $dados4['artigo'];
		$qtd = $dados4['qtd'];
		$preco = $dados4['preco'];
		$total = $dados4['total'];
		$sql6 = "INSERT INTO `ordem_compra_artigos`(`artigo`, `qtd`, `preco`, `total`, `user`, `ordem_compra`) VALUES('$artigo', '$qtd', '$preco', '$total', '$userID', '$id_ordem')";
		$rs6 = mysqli_query($db, $sql6) or die(mysqli_error($db));

	}

	$sql8 = "DELETE FROM ordem_compra_artigos_temp WHERE user = '$userID'";
	$rs8 = mysqli_query($db, $sql8) or die(mysqli_error($db));
	if ($rs8 > 0) {
		echo $id_ordem;
	}
}else{
	echo 2;
}

